## ClutterGLXTexturePixmap ClutterGLXTexturePixmap — A texture which displays the content of an X Pixmap |

## Functions

ClutterActor * | clutter_glx_texture_pixmap_new ()
ClutterActor * | clutter_glx_texture_pixmap_new_with_pixmap ()
ClutterActor * | clutter_glx_texture_pixmap_new_with_window ()
gboolean | clutter_glx_texture_pixmap_using_extension ()

## Types and Values

struct | ClutterGLXTexturePixmap
struct | ClutterGLXTexturePixmapClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ClutterTexture
                    ╰── ClutterX11TexturePixmap
                        ╰── ClutterGLXTexturePixmap

## Implemented Interfaces

ClutterGLXTexturePixmap implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

ClutterGLXTexturePixmap is a class for displaying the content of an X Pixmap as a ClutterActor. Used together with the X Composite extension, it allows to display the content of X Windows inside Clutter.

This class used to be necessary to use the GLX_EXT_texture_from_pixmap extension to get fast texture updates. However since Clutter 1.4 the handling of this extension has moved down to Cogl. ClutterX11TexturePixmap and ClutterGLXTexturePixmap are now equivalent and either one of them may use the extension if it is possible.

## Functions

### clutter_glx_texture_pixmap_new ()

    ClutterActor *
    clutter_glx_texture_pixmap_new (void);

`clutter_glx_texture_pixmap_new` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `clutter_x11_texture_pixmap_new()` instead

Creates a new, empty ClutterGLXTexturePixmap

#### Returns

A new ClutterGLXTexturePixmap

Since: 0.8

### clutter_glx_texture_pixmap_new_with_pixmap ()

    ClutterActor *
    clutter_glx_texture_pixmap_new_with_pixmap
                                   (Pixmap pixmap);

`clutter_glx_texture_pixmap_new_with_pixmap` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `clutter_x11_texture_pixmap_new_with_pixmap()` instead

Creates a new ClutterGLXTexturePixmap for `pixmap`

#### Parameters

pixmap | the X Pixmap to which this texture should be bound |

#### Returns

A new ClutterGLXTexturePixmap bound to the given X Pixmap

Since: 0.8

### clutter_glx_texture_pixmap_new_with_window ()

    ClutterActor *
    clutter_glx_texture_pixmap_new_with_window
                                   (Window window);

`clutter_glx_texture_pixmap_new_with_window` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `clutter_x11_texture_pixmap_new_with_window()` instead

Creates a new ClutterGLXTexturePixmap for `window`

#### Parameters

window | the X window to which this texture should be bound |

#### Returns

A new ClutterGLXTexturePixmap bound to the given X window

Since: 0.8

### clutter_glx_texture_pixmap_using_extension ()

    gboolean
    clutter_glx_texture_pixmap_using_extension
                                   (ClutterGLXTexturePixmap *texture);

`clutter_glx_texture_pixmap_using_extension` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `cogl_texture_pixmap_x11_is_using_tfp_extension()` on the texture handle instead.

Checks whether `texture` is using the GLX_EXT_texture_from_pixmap extension; this extension can be optionally (though it is strongly encouraged) implemented as a zero-copy between a GLX pixmap and a GL texture.

#### Parameters

texture | A ClutterGLXTexturePixmap |

#### Returns

`TRUE` if the texture is using the GLX_EXT_texture_from_pixmap OpenGL extension or falling back to the slower software mechanism.

Since: 0.8

## Types and Values

### struct ClutterGLXTexturePixmap

    struct ClutterGLXTexturePixmap;

`ClutterGLXTexturePixmap` has been deprecated since version 1.6 and should not be used in newly-written code.

Use ClutterX11TexturePixmap instead

The ClutterGLXTexturePixmap structure contains only private data

Since: 0.8

### struct ClutterGLXTexturePixmapClass

    struct ClutterGLXTexturePixmapClass {
    };

`ClutterGLXTexturePixmapClass` has been deprecated since version 1.6 and should not be used in newly-written code.

Use ClutterX11TexturePixmapClass instead

The ClutterGLXTexturePixmapClass structure contains only private data

Since: 0.8